<?php 
/**
 * Custom styles through options panel
 */
if ( ! function_exists( 'charvi_custom_inline_styles' ) ) :
	function charvi_custom_inline_styles() {
		wp_enqueue_style( 'charvi-inline-style', get_template_directory_uri() . '/assets/css/custom_script.css' );
		
		//variables
		$charvi_custom_css_output = $charvi_header_r1_styles = $charvi_header_r1_top_padding = $charvi_header_r1_bottom_padding  = $charvi_header_left_margin = $charvi_header_right_margin = $charvi_logo_top_margin = $charvi_nav_top_margin = $charvi_page_title_style = $charvi_page_title_styles = $charvi_sticky_header_styles = $charvi_sticky_header_top_padding = $charvi_sticky_header_bottom_padding = $charvi_sticky_logo_top_margin = $charvi_sticky_nav_top_margin = $charvi_footer_styles = $charvi_footer_top_padding = $charvi_footer_bottom_padding = $charvi_copyright_styles = $charvi_copyright_top_padding = $charvi_copyright_bottom_padding = $charvi_copyright_top_margin =  $charvi_blog_header_panel_styles = $charvi_blog_header_panel_top_padding = $charvi_blog_header_panel_bottom_padding = $charvi_footerfull_margin = $charvi_fp_slider_height = $charvi_themebase_color = $charvi_header_r1_border_bottom_width = $charvi_header_r2_top_padding = $charvi_header_r2_bottom_padding = $charvi_header_r2_border_bottom_width = $charvi_page_title_border_top_width = $charvi_page_title_border_bottom_width = $charvi_footer_border_top_width = $charvi_copyright_border_top_width = $charvi_header_r2_left_margin = $charvi_header_search_margin = $charvi_menubar_top_padding = $charvi_menubar_bottom_padding = $charvi_menubar_border_bottom_width = $charvi_menubar_general_styles = $charvi_header_r2_styles = $charvi_page_title_top_padding = $charvi_page_title_bottom_padding = $charvi_woocommerce_shop_columns = $charvi_woocommerce_related_products_column = ''; 

		// woo shop columns
		if( get_theme_mod( 'charvi_woocommerce_shop_columns' ) == '4' ) {
			$charvi_woocommerce_shop_columns .= '.woocommerce-page.post-type-archive-product ul.products li.product, .woocommerce-page.archive.tax-product_cat ul.products li.product, .woocommerce-page.archive.tax-product_tag ul.products li.product { width:22.15%; }'; 
		} elseif( get_theme_mod( 'charvi_woocommerce_shop_columns' ) == '2' ) {
			$charvi_woocommerce_shop_columns .= '.woocommerce-page.post-type-archive-product ul.products li.product, .woocommerce-page.archive.tax-product_cat ul.products li.product, .woocommerce-page.archive.tax-product_tag ul.products li.product { width:48.1%; }'; 
		} else {
			$charvi_woocommerce_shop_columns .= '.woocommerce-page.post-type-archive-product ul.products li.product, .woocommerce-page.archive.tax-product_cat ul.products li.product, .woocommerce-page.archive.tax-product_tag ul.products li.product { width:30.8%; }'; 
		}
	
		// woo related product columns
		if( get_theme_mod( 'charvi_woocommerce_related_products_column' ) == '4' ) {
			$charvi_woocommerce_related_products_column .= '.woocommerce .related ul li.product, .woocommerce .related ul.products li.product, .woocommerce .upsells.products ul li.product, .woocommerce .upsells.products ul.products li.product, .woocommerce-page .related ul li.product, .woocommerce-page .related ul.products li.product, .woocommerce-page .upsells.products ul li.product, .woocommerce-page .upsells.products ul.products li.product { width:22.15%; }'; 
		} elseif( get_theme_mod( 'charvi_woocommerce_related_products_column' ) == '2' ) {
			$charvi_woocommerce_related_products_column .= '.woocommerce .related ul li.product, .woocommerce .related ul.products li.product, .woocommerce .upsells.products ul li.product, .woocommerce .upsells.products ul.products li.product, .woocommerce-page .related ul li.product, .woocommerce-page .related ul.products li.product, .woocommerce-page .upsells.products ul li.product, .woocommerce-page .upsells.products ul.products li.product { width:48.1%; }'; 
		} else {
			$charvi_woocommerce_related_products_column .= '.woocommerce .related ul li.product, .woocommerce .related ul.products li.product, .woocommerce .upsells.products ul li.product, .woocommerce .upsells.products ul.products li.product, .woocommerce-page .related ul li.product, .woocommerce-page .related ul.products li.product, .woocommerce-page .upsells.products ul li.product, .woocommerce-page .upsells.products ul.products li.product { width:30.8%; }'; 
		}

		// header row one settings
		if( get_theme_mod( 'charvi_header_r1_top_padding' ) )	{
			$charvi_header_r1_top_padding = 'padding-top: ' . esc_attr( get_theme_mod( 'charvi_header_r1_top_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_header_r1_bottom_padding' ) )	{
			$charvi_header_r1_bottom_padding = 'padding-bottom: ' . esc_attr( get_theme_mod( 'charvi_header_r1_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_header_r1_border_bottom_width' ) )	{
			$charvi_header_r1_border_bottom_width = 'border-bottom-width: ' . esc_attr( get_theme_mod( 'charvi_header_r1_border_bottom_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'charvi_header_r1_top_padding' ) || get_theme_mod( 'charvi_header_r1_bottom_padding' ) || get_theme_mod( 'charvi_header_r1_border_bottom_width' ) )	{ 
		$charvi_header_r1_styles = '.dtr-header-row-one { ' . $charvi_header_r1_top_padding . '' . $charvi_header_r1_bottom_padding . '' . $charvi_header_r1_border_bottom_width . ' }';  
		} // header row one settings ends

		// header row two settings
		if( get_theme_mod( 'charvi_header_r2_top_padding' ) )	{
			$charvi_header_r2_top_padding = 'padding-top: ' . esc_attr( get_theme_mod( 'charvi_header_r2_top_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_header_r2_bottom_padding' ) )	{
			$charvi_header_r2_bottom_padding = 'padding-bottom: ' . esc_attr( get_theme_mod( 'charvi_header_r2_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_header_r2_border_bottom_width' ) )	{
			$charvi_header_r2_border_bottom_width = 'border-bottom-width: ' . esc_attr( get_theme_mod( 'charvi_header_r2_border_bottom_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'charvi_header_r2_top_padding' ) || get_theme_mod( 'charvi_header_r2_bottom_padding' ) || get_theme_mod( 'charvi_header_r2_border_bottom_width' ) )	{ 
		$charvi_header_r2_styles = '.dtr-header-row-two { ' . $charvi_header_r2_top_padding . '' . $charvi_header_r2_bottom_padding . '' . $charvi_header_r2_border_bottom_width . ' }';  
		} // header row two settings ends
		
		// menubar settings
		if( get_theme_mod( 'charvi_menubar_top_padding' ) )	{
			$charvi_menubar_top_padding = 'padding-top: ' . esc_attr( get_theme_mod( 'charvi_menubar_top_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_menubar_bottom_padding' ) )	{
			$charvi_menubar_bottom_padding = 'padding-bottom: ' . esc_attr( get_theme_mod( 'charvi_menubar_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_menubar_border_bottom_width' ) )	{
			$charvi_menubar_border_bottom_width = 'border-bottom-width: ' . esc_attr( get_theme_mod( 'charvi_menubar_border_bottom_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'charvi_menubar_top_padding' ) || get_theme_mod( 'charvi_menubar_bottom_padding' ) || get_theme_mod( 'charvi_menubar_border_bottom_width' ) )	{ 
		$charvi_menubar_general_styles = '.dtr-menubar-row { ' . $charvi_menubar_top_padding . '' . $charvi_menubar_bottom_padding . '' . $charvi_menubar_border_bottom_width . ' }';  
		} // menubar settings ends

		// header general settings
		if( get_theme_mod( 'charvi_header_left_margin' ) )	{
			$charvi_header_left_margin .=  '.dtr-header-widget-one { margin-top: ' . esc_attr( get_theme_mod( 'charvi_header_left_margin' ) ) . '; }'; 
		}
		if( get_theme_mod( 'charvi_header_right_margin' ) )	{
			$charvi_header_right_margin .=  '.dtr-header-widget-two { margin-top: ' . esc_attr( get_theme_mod( 'charvi_header_right_margin' ) ) . '; }'; 
		}
		if( get_theme_mod( 'charvi_header_r2_left_margin' ) )	{
			$charvi_header_r2_left_margin .=  '.dtr-header-widget-three { margin-top: ' . esc_attr( get_theme_mod( 'charvi_header_r2_left_margin' ) ) . '; }'; 
		}
		if( get_theme_mod( 'charvi_logo_top_margin' ) )	{
			$charvi_logo_top_margin	= '.dtr-logo { margin-top: ' . esc_attr( get_theme_mod( 'charvi_logo_top_margin' ) ) . '; }';  
		}
		if( get_theme_mod( 'charvi_header_search_margin' ) )	{
			$charvi_header_search_margin	= '.dtr-search-modal-trigger::after { margin-top: ' . esc_attr( get_theme_mod( 'charvi_header_search_margin' ) ) . '; }';  
		}
		if( get_theme_mod( 'charvi_nav_top_margin' ) )	{
			$charvi_nav_top_margin	= '.main-navigation { margin-top: ' . esc_attr( get_theme_mod( 'charvi_nav_top_margin' ) ) . '; }';  
		} // header general settings ends
		
		// page title settings
		if( get_theme_mod( 'charvi_page_title_top_padding' ) )	{ 
			$charvi_page_title_top_padding	= 'padding-top: ' . esc_attr( get_theme_mod( 'charvi_page_title_top_padding' ) ) . ';';  
		} 
		if( get_theme_mod( 'charvi_page_title_bottom_padding' ) )	{
			$charvi_page_title_bottom_padding	= 'padding-bottom: ' . esc_attr( get_theme_mod( 'charvi_page_title_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_page_title_border_top_width' ) )	{
			$charvi_page_title_border_top_width = 'border-top-width: ' . esc_attr( get_theme_mod( 'charvi_page_title_border_top_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'charvi_page_title_border_bottom_width' ) )	{
			$charvi_page_title_border_bottom_width = 'border-bottom-width: ' . esc_attr( get_theme_mod( 'charvi_page_title_border_bottom_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'charvi_page_title_top_padding' ) || get_theme_mod( 'charvi_page_title_bottom_padding' ) || get_theme_mod( 'charvi_page_title_border_top_width' ) || get_theme_mod( 'charvi_page_title_border_bottom_width' ) )	{
			$charvi_page_title_styles	= '#dtr-page-title-wrapper { ' . $charvi_page_title_top_padding . '' . $charvi_page_title_bottom_padding . '' . $charvi_page_title_border_top_width . '' . $charvi_page_title_border_bottom_width . ' }';  
		} // page title settings ends

		// sticky header settings
		if( get_theme_mod( 'charvi_sticky_header_top_padding' ) )	{ 
			$charvi_sticky_header_top_padding	= 'padding-top: ' . esc_attr( get_theme_mod( 'charvi_sticky_header_top_padding' ) ) . ';';  
		} 
		if( get_theme_mod( 'charvi_sticky_header_bottom_padding' ) )	{
			$charvi_sticky_header_bottom_padding	= 'padding-bottom: ' . esc_attr( get_theme_mod( 'charvi_sticky_header_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_sticky_header_top_padding' ) || get_theme_mod( 'charvi_sticky_header_bottom_padding' ) )	{
			$charvi_sticky_header_styles = '#dtr-header-sticky { ' . $charvi_sticky_header_top_padding . '' . $charvi_sticky_header_bottom_padding . ' }';  
		} 
		if( get_theme_mod( 'charvi_sticky_logo_top_margin' ) )	{
			$charvi_sticky_logo_top_margin	= '#dtr-header-sticky .dtr-logo { margin-top: ' . esc_attr( get_theme_mod( 'charvi_sticky_logo_top_margin' ) ) . '; }';  
		}
		if( get_theme_mod( 'charvi_sticky_nav_top_margin' ) )	{
			$charvi_sticky_nav_top_margin	= '#dtr-header-sticky .main-navigation { margin-top: ' . esc_attr( get_theme_mod( 'charvi_sticky_nav_top_margin' ) ) . '; }';  
		}
		// sticky header settings ends
		
		// footer settings
		if( get_theme_mod( 'charvi_footer_top_padding' ) )	{ 
			$charvi_footer_top_padding	= 'padding-top: ' . esc_attr( get_theme_mod( 'charvi_footer_top_padding' ) ) . ';';  
		} 
		if( get_theme_mod( 'charvi_footer_bottom_padding' ) )	{
			$charvi_footer_bottom_padding	= 'padding-bottom: ' . esc_attr( get_theme_mod( 'charvi_footer_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_footer_border_top_width' ) )	{
			$charvi_footer_border_top_width = 'border-top-width: ' . esc_attr( get_theme_mod( 'charvi_footer_border_top_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'charvi_footer_top_padding' ) || get_theme_mod( 'charvi_footer_bottom_padding' ) || get_theme_mod( 'charvi_footer_border_top_width' ) )	{
			$charvi_footer_styles = '#dtr-footer-section { ' . $charvi_footer_top_padding . '' . $charvi_footer_bottom_padding . '' . $charvi_footer_border_top_width . ' }';  
		} 
		// footer top row
		if( get_theme_mod( 'charvi_footerfull_margin' ) )	{
			$charvi_footerfull_margin .= '.dtr-footer-full { margin-top: ' . esc_attr( get_theme_mod( 'charvi_footerfull_margin' ) ) . '; }';  
		}	
		// footer settings ends
		
		// copyright settings
		if( get_theme_mod( 'charvi_copyright_top_padding' ) )	{ 
			$charvi_copyright_top_padding	= 'padding-top: ' . esc_attr( get_theme_mod( 'charvi_copyright_top_padding' ) ) . ';';  
		} 
		if( get_theme_mod( 'charvi_copyright_bottom_padding' ) )	{
			$charvi_copyright_bottom_padding	= 'padding-bottom: ' . esc_attr( get_theme_mod( 'charvi_copyright_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_copyright_top_margin' ) )	{
			$charvi_copyright_top_margin	= 'margin-top: ' . esc_attr( get_theme_mod( 'charvi_copyright_top_margin' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_copyright_border_top_width' ) )	{
			$charvi_copyright_border_top_width = 'border-top-width: ' . esc_attr( get_theme_mod( 'charvi_copyright_border_top_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'charvi_copyright_top_padding' ) || get_theme_mod( 'charvi_copyright_bottom_padding' ) || get_theme_mod( 'charvi_copyright_top_margin' ) || get_theme_mod( 'charvi_copyright_border_top_width' ) ) {
			$charvi_copyright_styles = '.dtr-copyright { ' . $charvi_copyright_top_padding . '' . $charvi_copyright_bottom_padding . '' . $charvi_copyright_top_margin . '' . $charvi_copyright_border_top_width . ' }';  
		} // copyright settings ends
		
		// slider area
		if( get_theme_mod( 'charvi_fp_slider_height' ) )	{
			$charvi_fp_slider_height .= '.featured-slider-inner { height: ' . esc_attr( get_theme_mod( 'charvi_fp_slider_height' ) ) . 'px; }';  
		}	
		
		// blog top panel settings
		if( get_theme_mod( 'charvi_blog_header_panel_top_padding' ) )	{ 
			$charvi_blog_header_panel_top_padding	= 'padding-top: ' . esc_attr( get_theme_mod( 'charvi_blog_header_panel_top_padding' ) ) . ';';  
		} 
		if( get_theme_mod( 'charvi_blog_header_panel_bottom_padding' ) )	{
			$charvi_blog_header_panel_bottom_padding	= 'padding-bottom: ' . esc_attr( get_theme_mod( 'charvi_blog_header_panel_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'charvi_blog_header_panel_top_padding' ) || get_theme_mod( 'charvi_blog_header_panel_bottom_padding' ) )	{
			$charvi_blog_header_panel_styles = '.dtr-featured-slider-wrapper { ' . $charvi_blog_header_panel_top_padding . '' . $charvi_blog_header_panel_bottom_padding . ' }';  
		} //  blog top panel settings ends
		
		// page title background styles
		$page_title_style 			= '';
		$bg_image 					= '';
		$bg_image_style 			= '';
		$header_bg_image_overlay	= '';
		
		$bg_image       			= get_post_meta( get_the_ID(), '_charvi_page_header_bg_image', true );
		$bg_image_style 			= get_post_meta( get_the_ID(), '_charvi_page_header_bg_image_style', true );
		$header_bg_image_overlay	= get_post_meta( get_the_ID(), '_charvi_page_header_bg_image_overlay', true );
		
		if( $header_bg_image_overlay != '' ) {
		$return_header_bg_image_overlay = 'box-shadow: inset 0px 0px 0 2000px rgba(0,0,0,'. $header_bg_image_overlay .') !important;';
  		} else {
		$return_header_bg_image_overlay = '';
		}

		// Background image
		if ( $bg_image ) {
			if ( $bg_image_style == 'repeat' || $bg_image_style == '' ) {
				$charvi_page_title_style .= '#dtr-page-title-wrapper { background: url('.  esc_url( $bg_image ) .') repeat !important; ' . esc_attr ( $return_header_bg_image_overlay ) . '}';
			}
			if ( $bg_image_style == 'stretched' ) {
				$charvi_page_title_style .= '#dtr-page-title-wrapper { background: url('. esc_url( $bg_image ) .') no-repeat center center !important; background-size: cover !important; ' . esc_attr ( $return_header_bg_image_overlay ) . '}';
			}
			if ( $bg_image_style == 'fixed' ) {
				$charvi_page_title_style .= '#dtr-page-title-wrapper { background: url('.  esc_url( $bg_image ) .') no-repeat center center fixed  !important; background-size: cover !important; ' . esc_attr ( $return_header_bg_image_overlay ) . '}';
			}
		} // Background image
		// page title background styles
		
		// themebase color
		if( get_theme_mod( 'charvi_themebase_color' ) )	{
		$charvi_themebase_color .= '.dtr-dropcap.dtr-dropcap-circle, .dtr-dropcap.dtr-dropcap-square, .dtr-ql-format-wrapper, .tooltip-inner, .widget_categories ul a::after, .widget_archive ul a::after, .dtr-post-tags a::after, .tagcloud a::after, .dtr-meta-category a::after, .dtr-title-box-title, .dtr-promobox-btn, .dtr-packagebox-tagline, .dtr-menubar-row, #take-to-top, .dtr-instagram-title { background-color: ' . sanitize_hex_color( get_theme_mod( 'charvi_themebase_color' ) ) . '; } .dtr-dropcap.dtr-dropcap-circle, .dtr-dropcap.dtr-dropcap-square, .tagcloud a:hover, .tooltip-inner, .dtr-title-box { border-color: ' . sanitize_hex_color( get_theme_mod( 'charvi_themebase_color' ) ) . '; } .sticky .dtr-entry-thumb::before, .tooltip.top .tooltip-arrow { border-top-color: ' . sanitize_hex_color( get_theme_mod( 'charvi_themebase_color' ) ) . '; } .wp-caption figcaption, .dtr-testimonial::before { color:' . sanitize_hex_color( get_theme_mod( 'charvi_themebase_color' ) ) . '; }';
		}
		
		// final custom css output	
		$charvi_custom_css_output = '' . $charvi_header_r1_styles . '' . $charvi_header_r2_styles . '' . $charvi_menubar_general_styles . '' . $charvi_header_left_margin . '' . $charvi_header_right_margin . '' . $charvi_header_search_margin . '' . $charvi_header_r2_left_margin . '' . $charvi_logo_top_margin . '' . $charvi_nav_top_margin . '' . $charvi_page_title_style . '' . $charvi_page_title_styles . '' . $charvi_sticky_header_styles . '' . $charvi_sticky_logo_top_margin . '' . $charvi_sticky_nav_top_margin . '' .  $charvi_footer_styles . '' . $charvi_copyright_styles. '' . $charvi_blog_header_panel_styles . '' . $charvi_footerfull_margin . '' . $charvi_fp_slider_height . '' . $charvi_themebase_color . '' . $charvi_woocommerce_shop_columns . '' . $charvi_woocommerce_related_products_column . '';
		wp_add_inline_style( 'charvi-inline-style', $charvi_custom_css_output );
	} 
endif;
add_action( 'wp_enqueue_scripts', 'charvi_custom_inline_styles', 30 );