<?php
// blog section fields
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_blog_layout',
	'label'       => esc_html__( 'Entries and Archives', 'charvi' ),
	'section'     => 'charvi_section_archive_settings',
	'default'     => 'dtr-right-sidebar',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
	     'dtr-fullwidth' 		=> esc_html__('No Sidebar', 'charvi'),
		 'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'charvi'),
         'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'charvi'),
	),
) );

// blog_entry_style
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_blog_entry_style',
	'label'       => esc_html__( 'Posts Layout Style', 'charvi' ),
	'section'     => 'charvi_section_archive_settings',
	'default'     => 'dtr-blog-default',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'dtr-blog-default' 				=> esc_html__('Default', 'charvi'),
		'dtr-blog-left-thumb' 			=> esc_html__('Thumb to Left', 'charvi'),
		'dtr-blog-grid-masonry'			=> esc_html__('Masonry Grid - 2 column', 'charvi'),
		'dtr-blog-grid-fitrows'			=> esc_html__('Grid - 2 column', 'charvi'),
		'dtr-blog-grid-masonry-3col'	=> esc_html__('Masonry Grid - 3 column', 'charvi'),
		'dtr-blog-grid-fitrows-3col'	=> esc_html__('Grid - 3 column', 'charvi'),
	),
) );

// first_full_post_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_first_full_post_enable',
	'label'       	 => esc_html__( 'Standard First Post', 'charvi' ),
	'section'		 => 'charvi_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Yes', 'charvi' ),
		'hide'	 => esc_html__( 'No', 'charvi' ),
	),
) );

// get_archive_excerpt_length
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'number',
	'settings'		 => 'charvi_get_archive_excerpt_length',
	'label'			 => esc_html__( 'Excerpt Length', 'charvi' ),
'description'		 => wp_kses( __("If excerpt is provided in excerpt box it will be displayed by default irrespective of excerpt length settings<br><br><strong>40&nbsp;&nbsp;</strong> - Default<br><strong>1&nbsp;&nbsp;&nbsp;&nbsp;</strong> - For complete post content<br><strong>999</strong> - For upto more tag", 'charvi'), array( 'br' => array(), 'strong' => array(), ) ),
	'section'		 => 'charvi_section_archive_settings',
	'default'        => '40',
	'priority'		 => 10,
) );

charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_post_footer_layout',
	'label'       => esc_html__( 'Social and Read More Button Placing', 'charvi' ),
	'section'     => 'charvi_section_archive_settings',
	'default'     => 'dtr-lateral-post-footer',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
	     'dtr-lateral-post-footer'	=> esc_html__('Lateral', 'charvi'),
		 'dtr-center-post-footer'	=> esc_html__('Center Align', 'charvi'),
	),
) );

// first_full_post_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_read_more_enable',
	'label'       	 => esc_html__( 'Read more link', 'charvi' ),
	'help'    		 => esc_html__( 'Read more link can have backbround color. Settings can be found in - Typography and Styles - section', 'charvi' ),
	'section'		 => 'charvi_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// read_more_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_read_more_text',
	'label'			 => esc_html__( 'Read more link text', 'charvi' ),
	'section'		 => 'charvi_section_archive_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Continue Reading', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_read_more_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_read_more_text' => array(
			'selector'        => '.dtr-read-more',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_read_more_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// blog_entry_pagination_style
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_blog_entry_pagination_style',
	'label'       => esc_html__( 'Pagination Style', 'charvi' ),
	'section'     => 'charvi_section_archive_settings',
	'default'     => 'numbered',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'numbered' 	=> esc_html__('Default - Numbered', 'charvi'),
		'nextprev'	=> esc_html__('Prev / Next', 'charvi'),
	),
) );

// archive_title_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_archive_title_enable',
	'label'       	 => esc_html__( 'Page Title Section On Archives', 'charvi' ),
	'section'		 => 'charvi_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// archive_heading_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_archive_heading_enable',
	'label'       	 => esc_html__( 'Page Title On Archives', 'charvi' ),
	'section'		 => 'charvi_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_archive_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// archive_breadcrumb_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_archive_breadcrumb_enable',
	'label'       	 => esc_html__( 'Breadcrumb On Archives', 'charvi' ),
	'section'		 => 'charvi_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_archive_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// single_post_layout
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_single_post_layout',
	'label'       => esc_html__( 'Single Post Layout', 'charvi' ),
	'section'     => 'charvi_section_single_settings',
	'default'     => 'dtr-right-sidebar',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
	     'dtr-fullwidth' 		=> esc_html__('No Sidebar', 'charvi'),
		 'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'charvi'),
         'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'charvi'),
	),
) );

// single_title_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_single_title_enable',
	'label'       	 => esc_html__( 'Page Title Section', 'charvi' ),
	'section'		 => 'charvi_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// single_heading_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_single_heading_enable',
	'label'       	 => esc_html__( 'Page Title', 'charvi' ),
	'section'		 => 'charvi_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_single_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// single_heading
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_single_heading',
	'label'			 => esc_html__( 'Heading Text In Page Title Section Of Single Posts', 'charvi' ),
	'section'		 => 'charvi_section_single_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Blog', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_single_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_single_heading_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_single_heading' => array(
			'selector'        => '.dtr-page-title',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_single_heading' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// single_breadcrumb_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_single_breadcrumb_enable',
	'label'       	 => esc_html__( 'Breadcrumb', 'charvi' ),
	'section'		 => 'charvi_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_single_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// relatedposts_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_relatedposts_enable',
	'label'       	 => esc_html__( 'Related Posts on Single Post', 'charvi' ),
	'section'		 => 'charvi_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// relatedposts_title
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_relatedposts_title',
	'label'			 => esc_html__( 'Related Posts Title Text', 'charvi' ),
	'section'		 => 'charvi_section_related_posts_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'YOU MAY ALSO LIKE', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_relatedposts_title' => array(
			'selector'        => '.dtr-relatedposts-title',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_relatedposts_title' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// relatedposts_columns
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_relatedposts_columns',
	'label'       => esc_html__( 'Number of Columns', 'charvi' ),
	'section'     => 'charvi_section_related_posts_settings',
	'default'     => '3',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'3'	=> esc_html__( 'Three', 'charvi' ),
		'4'	=> esc_html__( 'Four', 'charvi' ),
	),
) );

// relatedposts_orderby
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_relatedposts_orderby',
	'label'       => esc_html__( 'Sort Posts By', 'charvi' ),
	'section'     => 'charvi_section_related_posts_settings',
	'default'     => 'date',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'date' 		=> esc_html__( 'Date', 'charvi' ),
		'rand' 		=> esc_html__( 'Random', 'charvi' ),
		'author'	=> esc_html__( 'Author', 'charvi' ),
		'title'		=> esc_html__( 'Title', 'charvi' ),
	),
) );

// relatedposts_order
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_relatedposts_order',
	'label'       => esc_html__( 'Order Posts By', 'charvi' ),
	'section'     => 'charvi_section_related_posts_settings',
	'default'     => 'DESC',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'DESC' 		=> esc_html__( 'Descending', 'charvi' ),
		'ASC' 		=> esc_html__( 'Ascending', 'charvi' ),
	),
) );

// relatedposts_limit
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'number',
	'settings'		 => 'charvi_relatedposts_limit',
	'label'			 => esc_html__( 'Number of Posts to show', 'charvi' ),
'description'		 => esc_html__( 'For better results should equal to Number of Columns', 'charvi'),
	'section'		 => 'charvi_section_related_posts_settings',
	'default'        => '3',
	'priority'		 => 10,
) );

// relatedposts_thumb_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_relatedposts_thumb_enable',
	'label'       	 => esc_html__( 'Image', 'charvi' ),
	'section'		 => 'charvi_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// relatedposts_date_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_relatedposts_date_enable',
	'label'       	 => esc_html__( 'Date', 'charvi' ),
	'section'		 => 'charvi_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// relatedposts_date_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_relatedposts_title_enable',
	'label'       	 => esc_html__( 'Title', 'charvi' ),
	'section'		 => 'charvi_section_related_posts_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_relatedposts_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// social_share_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_social_share_enable',
	'label'       	 => esc_html__('Social Share', 'charvi'),
	'section'		 => 'charvi_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// social_share_style
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_social_share_style',
	'label'       =>  esc_html__( 'Select Social Style', 'charvi' ),
	'section'     => 'charvi_section_post_share_settings',
	'default'     => 'dtr-social-default',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' 			=> array(
		'dtr-social-default'	=> esc_html__( 'Default', 'charvi' ),
		'dtr-social-circle'		=> esc_html__( 'Circle', 'charvi' ),
		'dtr-social-square'		=> esc_html__( 'Square', 'charvi' ),
	),
) );

// twitter_share_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_twitter_share_enable',
	'label'       	 =>  esc_html__('Twitter in Share', 'charvi'),
	'section'		 => 'charvi_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// twitter_handle_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_twitter_handle_text',
	'label'			 => esc_html__('Twitter Handle Text', 'charvi'),
	'section'		 => 'charvi_section_post_share_settings',
	'priority'		 => 10,
	'default'		 => '',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_twitter_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// facebook_share_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_facebook_share_enable',
	'label'       	 =>  esc_html__('Facebook in Share', 'charvi'),
	'section'		 => 'charvi_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// pinterest_share_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_pinterest_share_enable',
	'label'       	 =>  esc_html__('Pinterest in Share', 'charvi'),
	'section'		 => 'charvi_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// googleplus_share_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_googleplus_share_enable',
	'label'       	 =>  esc_html__('Googleplus in Share', 'charvi'),
	'section'		 => 'charvi_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

//  linkedin_share_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_linkedin_share_enable',
	'label'       	 =>  esc_html__('Linkedin in Share', 'charvi'),
	'section'		 => 'charvi_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );