<?php
// Footer section fields
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_footer_enable',
	'label'       	 => esc_html__( 'Footer', 'charvi' ),
	'description'    => esc_html__( 'You can individually hide footer rows below.', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// footer_columns_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_footer_columns_enable',
	'label'       	 => esc_html__( 'Main Footer Columns Row', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// footer_columns
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_footer_columns',
	'label'       =>  esc_html__('Number of Columns', 'charvi'),
	'section'     => 'charvi_section_footer_settings',
	'default'     => '3',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_footer_columns_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'1'	=> esc_html__( 'Single Column', 'charvi' ),
		'2'	=> esc_html__( 'Two Equal Columns', 'charvi' ),
		'3'	=> esc_html__( 'Three Equal Columns', 'charvi' ),
		'4'	=> esc_html__( 'Four Equal Columns', 'charvi' ),
		'5'	=> esc_html__( '1/4 + 1/2 + 1/4', 'charvi' ),
		'6'	=> esc_html__( '1/4 + 3/4', 'charvi' ),
	),
) );

// footerfull_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_footerfull_enable',
	'label'       	 => esc_html__('Footer Bottom - Fullwidth - Widget Area', 'charvi'),
	'section'		 => 'charvi_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// copyright_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_copyright_enable',
	'label'       	 => esc_html__('Copyright', 'charvi'),
	'section'		 => 'charvi_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// copyright_menu_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_copyright_menu_enable',
	'label'       	 => esc_html__( 'Copyright Menu', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// background
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'background',
	'settings'    => 'charvi_footer_background',
	'label'       => esc_html__( 'Background', 'charvi' ),
	'section'     => 'charvi_section_footer_settings',
    'default'     => array(
            'background-color'    => '#f6f6f6',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'output'    => array( array( 'element'  => '#dtr-footer-section' ), ),
) );

// footer_border_top_width
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'number',
	'settings'		 => 'charvi_footer_border_top_width',
	'label'			 => esc_html__( 'Border Top Width', 'charvi' ),
	'description' 	 => esc_html__( 'It will be in px', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'default'     	 => 0,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 0,
		'max'  => 30,
		'step' => 1,
	),
	'priority'		 => 10,
) );

// footer_border_top_color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_footer_border_top_color',
	'label'			 => esc_html__( 'Border Top Color', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_footer_border_top_width',
			'operator' => '!=',
			'value'    => '',
		),
	),
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section',
			'property'	 => 'border-top-color',
		)
	),
	'transport'		 => 'auto',
) );

// footer_top_padding
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_footer_top_padding',
	'label'			 => esc_html__( 'Top Padding', 'charvi' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'		 => 10,
) );

// footer_bottom_padding
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_footer_bottom_padding',
	'label'			 => esc_html__( 'Bottom Padding', 'charvi' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'		 => 10,
) );

// charvi_footerfull_margin
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_footerfull_margin',
	'label'			 => esc_html__( 'Footer Bottom - Fullwidth Row - top Margin', 'charvi' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_footerfull_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'		 => 10,
) );

// copyright_background
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'background',
	'settings'    => 'charvi_copyright_background',
	'label'       => esc_html__( 'Copyright Background', 'charvi' ),
	'section'     => 'charvi_section_footer_settings',
    'default'     => array(
			'background-color'	=> '#2c2c2c',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'   => 'auto',
	'output'    => array( array( 'element'  => '.dtr-copyright' ), ),
) );


// copyright_border_top_width
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'number',
	'settings'		 => 'charvi_copyright_border_top_width',
	'label'			 => esc_html__( 'Copyright Border Top Width', 'charvi' ),
	'description' 	 => esc_html__( 'It will be in px', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'default'     	 => 0,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 0,
		'max'  => 30,
		'step' => 1,
	),
	'priority'		 => 10,
) );

// copyright_border_top_color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_copyright_border_top_color',
	'label'			 => esc_html__( 'Copyright Border Top Color', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-copyright',
			'property'	 => 'border-top-color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_copyright_border_top_width',
			'operator' => '!=',
			'value'    => '',
		),
	),
	'transport'		 => 'auto',
) );


// copyright_top_margin
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_copyright_top_margin',
	'label'			 => esc_html__( 'Copyright Top Margin', 'charvi' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'		 => 10,
) );

// copyright_top_padding
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_copyright_top_padding',
	'label'			 => esc_html__( 'Copyright Top Padding', 'charvi' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'		 => 10,
) );

// copyright_bottom_padding
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_copyright_bottom_padding',
	'label'			 => esc_html__( 'Copyright Bottom Padding', 'charvi' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'charvi' ),
	'section'		 => 'charvi_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'		 => 10,
) );