<?php
// Woocommerce section fields
// page header
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_enable_woo_page_title',
	'label'       	 => esc_html__( 'Complete Page Title Section on Woo Pages ( Shop and Product )', 'charvi' ),
	'section'		 => 'charvi_section_woo_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// page heading
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_enable_woo_page_heading',
	'label'       	 => esc_html__( 'Page Title', 'charvi' ),
	'section'		 => 'charvi_section_woo_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_enable_woo_page_title',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// breadcrumb
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_enable_woo_page_breadcrumb',
	'label'       	 => esc_html__( 'Breadcrumb', 'charvi' ),
	'section'		 => 'charvi_section_woo_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_enable_woo_page_title',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// page layout
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_shop_layout',
	'label'       => esc_html__( 'Shop Layout', 'charvi' ),
	'description' => esc_html__( 'Can be override individually for page.', 'charvi' ),
	'section'     => 'charvi_section_woo_general_settings',
	'default'     => 'dtr-fullwidth',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-fullwidth' 	=> esc_html__('No Sidebar', 'charvi'),
		'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'charvi'),
		'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'charvi'),
	),
) );

// Shop Columns
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_woocommerce_shop_columns',
	'label'       => esc_html__( 'Shop Columns', 'charvi' ),
	'section'     => 'charvi_section_woo_general_settings',
	'default'     => '3',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		 '2' => '2',
         '3' => '3',
         '4' => '4'
	),
) );

// product description
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_enable_woo_product_desc',
	'label'       	 => esc_html__( 'Product Description on Shop / Archive Pages / Related Products', 'charvi' ),
	'description'    => esc_html__( 'In case you decide to go for plugin reommended by woo for extensive lable change. Disable this. Plugin could override then.', 'charvi' ),
	'section'		 => 'charvi_section_woo_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// single_heading
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_woo_single_heading',
	'label'			 => esc_html__( 'Shop Page Title', 'charvi' ),
	'section'		 => 'charvi_section_woo_general_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Products', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_enable_woo_page_title',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_enable_woo_page_heading',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_single_heading' => array(
			'selector'        => '.dtr-page-title',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_single_heading' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// product page layout
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_product_layout',
	'label'       => esc_html__( 'Product Page Layout', 'charvi' ),
	'section'     => 'charvi_section_woo_general_settings',
	'default'     => 'dtr-fullwidth',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-fullwidth' 	=> esc_html__('No Sidebar', 'charvi'),
		'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'charvi'),
		'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'charvi'),
	),
) );

// Related Products
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_woocommerce_related_products_column',
	'label'       => esc_html__( 'Related Products Columns', 'charvi' ),
	'section'     => 'charvi_section_woo_general_settings',
	'default'     => '3',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		 '1' => '1',
		 '2' => '2',
         '3' => '3',
         '4' => '4'
	),
) );

// Number of Related Products
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'number',
	'settings'		 => 'charvi_woocommerce_related_products',
	'label'			 => esc_html__( 'Number of Related Products', 'charvi' ),
	'section'		 => 'charvi_section_woo_general_settings',
	'default'        => '3',
	'priority'		 => 10,
) );

// product button label
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_enable_woo_product_label_modify',
	'label'       	 => esc_html__( 'Product Button Modify Via Theme', 'charvi' ),
	'description'    => esc_html__( 'In case you decide to go for plugin reommended by woo for extensive lable change. Disable this. Plugin could override then.', 'charvi' ),
	'section'		 => 'charvi_section_woo_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Enable', 'charvi' ),
		'hide'	 => esc_html__( 'Disable', 'charvi' ),
	),
) );

// archive product button label
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_custom_woo_archive_cart_button_text',
	'label'			 => esc_html__( 'Add to Cart Button Text On Shop / Product Archive Page', 'charvi' ),
	'section'		 => 'charvi_section_woo_general_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Go For It', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_enable_woo_product_label_modify',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// single product button label
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_custom_woo_cart_button_text',
	'label'			 => esc_html__( 'Add to Cart Button Text On Single Product Page', 'charvi' ),
	'section'		 => 'charvi_section_woo_general_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Go For It', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_enable_woo_product_label_modify',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// woo typography starts
// button
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_woo_button_typo',
	'label'       => esc_html__( 'Buttons Fonts', 'charvi' ),
	'section'     => 'charvi_section_woo_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'medium',
		'font-size'      => '9px',
		'letter-spacing' => '1',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'uppercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.added_to_cart.wc-forward, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button',
		),
	),
) );

// buttons background
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_woo_primary_button_bg_color',
	'label'			 => esc_html__( 'Primary Button Background Color', 'charvi' ),
	'section'		 => 'charvi_section_woo_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// buttons color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_woo_primary_button_color',
	'label'			 => esc_html__( 'Primary Button Color', 'charvi' ),
	'section'		 => 'charvi_section_woo_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// alt buttons background
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_woo_alt_button_bg_color',
	'label'			 => esc_html__( 'Alt Button Background Color', 'charvi' ),
	'section'		 => 'charvi_section_woo_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// alt buttons color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_woo_alt_button_color',
	'label'			 => esc_html__( 'Alt Button Color', 'charvi' ),
	'section'		 => 'charvi_section_woo_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// price color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_woo_price_color',
	'label'			 => esc_html__( 'Price / In stock Color', 'charvi' ),
	'section'		 => 'charvi_section_woo_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce .price, .woocommerce .stock',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// price color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_woo_price_color',
	'label'			 => esc_html__( 'Product short description on Shop page Color', 'charvi' ),
	'section'		 => 'charvi_section_woo_typo',
	'priority'		 => 10,
	'default'        => '#626262',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce-product-details__short-description, .woocommerce-product-details__short-description a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );
