<?php
/**
 * Blog functions
 */

/**
 * Modify archive widget 
 */
if ( ! function_exists( 'charvi_archives_postcount_filter' ) ) :
	function charvi_archives_postcount_filter( $in ) {
		if ( false !== strpos( $in, '<li>' ) ) {
			$out = preg_replace( '/<\/a>&nbsp;\(([0-9]+)\)/', ' <span class="dtr-post-count">(\\1)</span></a>', $in );
			return $out;
		}
		return $in;
	}
	add_filter( 'get_archives_link', 'charvi_archives_postcount_filter' );
endif;

/**
 * Modify category widget 
 */
if ( ! function_exists( 'charvi_categories_postcount_filter' ) ) :
	function charvi_categories_postcount_filter ( $in ) {
	  $out = preg_replace( '/<\/a> \(([0-9]+)\)/', ' <span class="dtr-post-count">(\\1)</span></a>', $in );
	  return $out;
	}
	add_filter('wp_list_categories','charvi_categories_postcount_filter');
endif;

/**
 * Modify tag cloud widget 
 */
if ( ! function_exists( 'charvi_tag_cloud_widget' ) ) :
	function charvi_tag_cloud_widget($args) {
		$args['largest'] = '.8'; //largest tag
		$args['smallest'] = '.8'; //smallest tag
		$args['unit'] = 'em'; //tag font unit
		return $args;
	}
	add_filter( 'widget_tag_cloud_args', 'charvi_tag_cloud_widget' );
endif;

/**
 * Blog classes
 */
if ( ! function_exists( 'charvi_blog_classes' ) ) :
	function charvi_blog_classes( $classes = NULL ) {
		if ( 'dtr-blog-grid-masonry' == get_theme_mod( 'charvi_blog_entry_style', 'dtr-blog-default' ) ) {
			$classes = 'dtr-blog-grid dtr-blog-grid-masonry';
		} elseif ( 'dtr-blog-grid-masonry-3col' == get_theme_mod( 'charvi_blog_entry_style', 'dtr-blog-default' ) ) {
			$classes = 'dtr-blog-grid dtr-blog-grid-3col dtr-blog-grid-masonry';
		} elseif ( 'dtr-blog-grid-fitrows-3col' == get_theme_mod( 'charvi_blog_entry_style', 'dtr-blog-default' ) ) {
			$classes = 'dtr-blog-grid dtr-blog-grid-3col dtr-blog-grid-fitrows';
		} elseif ( 'dtr-blog-grid-fitrows' == get_theme_mod( 'charvi_blog_entry_style', 'dtr-blog-default' ) ) {
			$classes = 'dtr-blog-grid dtr-blog-grid-fitrows';
		} elseif ( 'dtr-blog-left-thumb' == get_theme_mod( 'charvi_blog_entry_style', 'dtr-blog-default' ) ) {
			$classes = 'dtr-blog-left-thumb';
		} else {
			$classes = 'dtr-blog-default';
		}
		return $classes;
	}
endif;


/**
 * First post class
 */
add_filter( 'post_class', 'charvi_mark_first_post' );
if ( ! function_exists( 'charvi_mark_first_post' ) ) :
	function charvi_mark_first_post( $classes ) {
		remove_filter( current_filter(), __FUNCTION__ );
		$classes[] = 'dtr-first-post';
		return $classes;
	}
endif;

/**
 * First Post
 */
if ( ! function_exists( 'charvi_first_post_classes' ) ) :
	function charvi_first_post_classes( $classes = NULL ) {
		if ( 'show' == get_theme_mod( 'charvi_first_full_post_enable', 'show' ) ) {
			$classes = 'has-full-first-post';
		} else {
			$classes = '';
		}
		return $classes;
	}
endif;