<?php
/**
 * Layouts
 */
// Layout Classes
if ( ! function_exists( 'charvi_get_layout_class' ) ) {
	function charvi_get_layout_class() {
		
		// Vars
		$class = 'dtr-fullwidth';

		// Single Post Layout
		if ( is_single() ) {
			$charvi_single_post_layout = get_theme_mod( 'charvi_single_post_layout', 'dtr-right-sidebar' );
			$page_setting = get_post_meta( get_the_ID(), '_charvi_page_layout_meta', true );
			if ( $page_setting !== '' ) {
				$class = $page_setting;
			} else {
				$class = $charvi_single_post_layout;
			}		
		}
		
		// Blog / Archive Layout
		$charvi_blog_layout = get_theme_mod( 'charvi_blog_layout', 'dtr-right-sidebar' );
		if ( is_archive() || is_author() || is_home() ) {
			$class = $charvi_blog_layout;
		}
		
		// Page Layout
		if ( is_page() ) {
			$charvi_page_layout = get_theme_mod( 'charvi_page_layout', 'dtr-fullwidth' );
			$page_setting = get_post_meta( get_the_ID(), '_charvi_page_layout_meta', true );
			if ( $page_setting !== '' ) {
				$class = $page_setting;
			} else {
				$class = $charvi_page_layout;
			}		
		}

		return $class;
	} 
}