<?php
/**
 * The template for displaying all pages.
 * This is the template that displays all pages by default.
 */
get_header(); ?>
<?php if ( ! is_home() && ! is_front_page() && 'show' == get_theme_mod( 'charvi_enable_page_title', 'show' ) ) { ?>
<div id="dtr-page-title-wrapper">
	<div class="dtr-container">
		<?php if ( 'show' == get_theme_mod( 'charvi_enable_page_heading', 'show' ) ) { ?>
		<h1 class="dtr-page-title entry-title" <?php charvi_schema_markup( 'headline' ); ?>>
			<?php the_title() ?>
		</h1>
		<?php } ?>
		<?php if ( 'show' == get_theme_mod( 'charvi_enable_page_breadcrumb', 'show' ) ) { ?>
		<?php get_template_part( '/template-parts/header/breadcrumb' ); ?>
		<?php } ?>
	</div>
</div>
<?php } ?>
<div id="dtr-main-wrapper" class="dtr-container clearfix <?php echo esc_attr( charvi_get_layout_class() ); ?>">
	<main id="dtr-primary-section" class="dtr-content-area" <?php charvi_schema_markup( 'main' ); ?>>
		<?php while (have_posts()) : the_post(); ?>
		<div class="dtr-primary-section-content">
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="entry-content">
					<?php the_content(); ?>
					<?php 
					// page numbers
					wp_link_pages( array(
						'before'      => '<div class="dtr-page-links">' . esc_html__( 'Pages:', 'charvi' ),
						'after'       => '</div>',
						'link_before' => '<span class="dtr-page-number">',
						'link_after'  => '</span>',
					) );
				?>
				</div>
			</article>
		</div>
		<?php if ( true == get_theme_mod( 'charvi_enable_page_comments', true ) ) : 
		if ( comments_open() || get_comments_number() ) {
			comments_template();
		} 
		endif; ?>
		<?php endwhile; ?>
	</main>
	<!-- #dtr-primary-section -->
	<?php get_sidebar(); ?>
</div>
<!-- #dtr-main-wrapper -->
<?php get_footer(); ?>