<?php
/**
 * The template file for single post
 */
get_header(); 
$single_heading	=  get_theme_mod('charvi_single_heading', esc_html__('Blog Posts','charvi')); 
if ( 'show' == get_theme_mod( 'charvi_single_title_enable', 'show' ) ) { ?>
<div id="dtr-page-title-wrapper">
	<div class="dtr-container">
		<?php if ( 'show' == get_theme_mod( 'charvi_single_heading_enable', 'show' ) ) { 	 ?>
		<h1 class="dtr-page-title entry-title" <?php charvi_schema_markup( 'headline' ); ?>> <?php echo esc_attr( $single_heading ); ?> </h1>
		<?php } ?>
		<?php if ( 'show' == get_theme_mod( 'charvi_single_breadcrumb_enable', 'show' ) ) { 	 ?>
		<?php get_template_part( '/template-parts/header/breadcrumb' ); ?>
		<?php } ?>
	</div>
</div>
<?php } ?>
<div id="dtr-main-wrapper" class="dtr-container clearfix <?php echo esc_attr( charvi_get_layout_class() ); ?>">
	<main id="dtr-primary-section" class="dtr-content-area" <?php charvi_schema_markup( 'main' ); ?>>
		<?php 
		while ( have_posts() ) : the_post(); ?>
		<div class="dtr-primary-section-content">
			<?php // single post content
			get_template_part( '/template-parts/post/single-layout', get_post_format() ); ?>
		</div>
		<?php // author bio
			if ( '' != get_the_author_meta( 'description' ) && is_multi_author() ) :
				get_template_part( '/template-parts/post/author-bio' ); 
			endif; 
			
			// post nav 
			charvi_post_nav(); 
			
			// related posts
			get_template_part( '/template-parts/post/recentposts' );
			// comments
			if ( comments_open() || get_comments_number() ) {
				comments_template(); 
			} 
		endwhile; 
		?>
	</main>
	<!-- #dtr-primary-section -->
	<?php get_sidebar(); ?>
</div>
<!-- #dtr-main-wrapper -->
<?php get_footer(); ?>