<?php
/**
 * Template Name: Blog - masonry 3 col fullwidth
 * The template for demo purpose to show blog grid
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?><?php charvi_schema_markup( 'html' ); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?><?php charvi_schema_markup( 'body' ); ?>>
<div id="dtr-wrapper" class="clearfix">
<?php get_header(); ?>
<?php get_template_part( '/template-parts/slider/featured-post-slider' ); ?>
<div id="dtr-main-wrapper" class="dtr-container dtr-blog-grid dtr-blog-grid-3col dtr-blog-grid-masonry dtr-fullwidth">
	
	<main id="dtr-primary-section" class="dtr-content-area">
		<?php 
		$args = array(
    		'posts_per_page' => 9
		);
		$custom_query = new WP_Query($args);  ?>
		<div class="dtr-post-grid">
			<?php while($custom_query->have_posts()) : $custom_query->the_post(); ?>
			<div class="dtr-post-item">
				<?php get_template_part( '/template-parts/post/entry-layout', get_post_format() ); ?>
			</div>
			<?php endwhile; ?>
		</div>
		<?php wp_reset_postdata(); ?>
	</main>
	<!-- #dtr-primary-section --> 
</div>
<!-- #dtr-main-wrapper -->
<?php get_footer(); ?>