<?php
/**
 * Template Name: Header Variation
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?><?php charvi_schema_markup( 'html' ); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>
<style type="text/css">
.dtr-header-left { float: left; text-align: left; }
.dtr-header-right { float: right; text-align: right; }
.dtr-search-modal-trigger, .dtr-header-widget-one { float: right; }
.dtr-logo { float: left; }
.main-navigation { float: right; margin-top: 20px; }
.dtr-search-modal-trigger { float: right; margin-left: 20px; }
.dtr-search-modal-trigger::after {  margin-top: 0; }
</style>
</head>
<body <?php body_class(); ?><?php charvi_schema_markup( 'body' ); ?>>
<div id="dtr-wrapper" class="clearfix">
<?php if (  true == get_theme_mod( 'charvi_enable_sticky_header', true ) ) { 
	get_template_part('/template-parts/header/sticky-header');
 } ?>
<header id="dtr-main-header" <?php charvi_schema_markup( 'header' ); ?>>
	<?php get_template_part( '/template-parts/header/header-v2' ); ?>
</header>

<div id="dtr-main-wrapper" class="dtr-container clearfix <?php echo esc_attr( charvi_get_layout_class() ); ?>">
	<main id="dtr-primary-section" class="dtr-content-area" <?php charvi_schema_markup( 'main' ); ?>>
		<?php while (have_posts()) : the_post(); ?>
		<div class="dtr-primary-section-content">
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="entry-content">
					<?php the_content(); ?>
					<?php 
					// page numbers
					wp_link_pages( array(
						'before'      => '<div class="dtr-page-links">' . esc_html__( 'Pages:', 'charvi' ),
						'after'       => '</div>',
						'link_before' => '<span class="dtr-page-number">',
						'link_after'  => '</span>',
					) );
				?>
				</div>
			</article>
		</div>
		<?php if ( true == get_theme_mod( 'charvi_enable_page_comments', true ) ) : 
		if ( comments_open() || get_comments_number() ) {
			comments_template();
		} 
		endif; ?>
		<?php endwhile; ?>
	</main>
	<!-- #dtr-primary-section -->
	<?php get_sidebar(); ?>
</div>
<!-- #dtr-main-wrapper -->
<?php get_footer(); ?>