<?php
/**
 * The Template for recent posts on single post
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
// columns
if ( get_theme_mod( 'charvi_relatedposts_columns', '3' ) ) { 
	$relatedposts_columns = get_theme_mod( 'charvi_relatedposts_columns', '3' ); 
} else { 
	$relatedposts_columns = '3'; 
}
if( '4' == get_theme_mod( 'charvi_relatedposts_columns', '3' ) ){
	$return_relatedposts_column = ' dtr-relatedposts-grid-4col';
} else {
	$return_relatedposts_column = '';
}
// display if anabled via customiser
if (  'show' == get_theme_mod( 'charvi_relatedposts_enable', 'show' ) ) : 

// vars
$relatedposts_title	= get_theme_mod( 'charvi_relatedposts_title', esc_html__( 'YOU MAY ALSO LIKE', 'charvi') );
$orderby 			= get_theme_mod( 'charvi_relatedposts_orderby', 'date' );
$order 				= get_theme_mod( 'charvi_relatedposts_order', 'DESC' );
$limit 				= get_theme_mod( 'charvi_relatedposts_limit', '3' );

// Default arguments
$args = array(
	'post_type'      		=> '',
	'posts_per_page' 		=> esc_attr( $limit ),
	'orderby'        		=> esc_attr( $orderby ),
	'order'          		=> esc_attr( $order ), 
	'post_status'    		=> 'publish',
	'ignore_sticky_posts'	=> true,
	'post__not_in'   		=> array( get_the_ID() ), 
	'no_found_rows'  		=> true, 
);
			
$cats = wp_get_post_terms( get_the_ID(), 'category' ); 
$cats_ids = array();  
foreach( $cats as $related_cats ) {
	$cats_ids[] = $related_cats->term_id; 
}
if ( ! empty( $cats_ids ) ) {
	$args['category__in'] = $cats_ids;
}
// Query posts
$dtr_query = new wp_query( $args );
echo '<div class="dtr-relatedposts-grid-wrapper">';
echo '<h5 class="dtr-relatedposts-title">' . esc_attr( $relatedposts_title ) . '</h5>';
echo '<div class="dtr-relatedposts-grid' . esc_attr( $return_relatedposts_column ) . '">';
// start loop
foreach( $dtr_query->posts as $post ) : setup_postdata( $post );
echo '<div class="dtr-relatedposts-item">';
$permalink			= get_permalink();
$thumb_title		= get_the_title();	
$thumb_id 			= get_post_thumbnail_id();
$thumb_url_array	= wp_get_attachment_image_src($thumb_id, 'medium_large', true);
$thumb_url 			= $thumb_url_array[0];

// thumbnail
if(  'show' == get_theme_mod( 'charvi_relatedposts_thumb_enable', 'show' ) && has_post_thumbnail() ) {
	echo  '<div class="dtr-relatedposts-img"><a href="' . esc_url( $permalink ) . '" rel="bookmark"><img src="' . $thumb_url . '" alt="' . $thumb_title . '"></a></div>';
}	
	
if( 'show' == get_theme_mod( 'charvi_relatedposts_title_enable', 'show' ) || 'show' == get_theme_mod( 'charvi_relatedposts_date_enable', 'show' ) ) {
	echo '<div class="dtr-recentpost-content">';
}
	// date
	if(  'show' == get_theme_mod( 'charvi_relatedposts_date_enable', 'show' ) ) {
		echo '<span class="dtr-meta">' . esc_attr(get_the_date()) . '</span>';
	}
	// title
	if( 'show' == get_theme_mod( 'charvi_relatedposts_title_enable', 'show' ) ):
		echo '<h6 class="dtr-recentpost-title"><a href="' . esc_url( $permalink ) . '" rel="bookmark">' . esc_attr(get_the_title()) . '</a></h6>';
	endif;	
if( 'show' == get_theme_mod( 'charvi_relatedposts_title_enable', 'show' ) || 'show' == get_theme_mod( 'charvi_relatedposts_date_enable', 'show' ) ) {
echo '</div>';
}
echo '</div>'; // item
// end loop
endforeach;
echo '</div><div class="clearfix"></div></div>';

// Reset post data
wp_reset_postdata();
endif;