<?php
// custom post types
/**
 * Registers testimonial post type
 * @since  1.0.0
 */
add_action( 'init', 'charvi_register_testimonial_posttype' );
function charvi_register_testimonial_posttype() {
	
	global $dtr_charvi_options;
	$dtr_charvi_testimonial_slug = '';
	if(isset($dtr_charvi_options['dtr_charvi_testimonial_slug'])) { $dtr_charvi_testimonial_slug = $dtr_charvi_options['dtr_charvi_testimonial_slug']; }
	if( $dtr_charvi_testimonial_slug != ''  ) {
		$return_dtr_charvi_testimonial_slug = $dtr_charvi_testimonial_slug;
	}
	else{
		$return_dtr_charvi_testimonial_slug = 'testimoniales';
	}
	$labels = array(
		'name'               => _x( 'Testimonial', 'post type general name', 'charvi' ),
		'singular_name'      => _x( 'Testimonial', 'post type singular name', 'charvi' ),
		'all_items'          => __( 'Testimonials', 'charvi' ),
		'add_new'            => __( 'Add New', 'charvi' ),
		'add_new_item'       => __( 'Add New Testimonial', 'charvi' ),
		'edit_item'          => __( 'Edit Testimonial', 'charvi' ),
		'new_item'           => __( 'New Testimonial', 'charvi' ),
		'view_item'          => __( 'View Testimonial', 'charvi' ),
		'search_items'       => __( 'Search Testimonials', 'charvi' ),
		'not_found'          => __( 'No Testimonials found', 'charvi' ),
		'not_found_in_trash' => __( 'No Testimonials found in Trash', 'charvi' ),
    );
	$args = array(
		'labels'          => $labels,
	    'public'          => true,  
        'show_ui'         => true,  
        'capability_type' => 'post',  
        'hierarchical'    => false,  
        'has_archive'     => false,
		'menu_icon'       => 'dashicons-star-filled',
        'rewrite'         => array( 'slug' => $return_dtr_charvi_testimonial_slug ),
        'supports'        => array( 'title', 'thumbnail', 'editor' ),
	);
	register_post_type( 'dtr_testimonial', $args );
}